-- CurrentTimeofDay
-- Author: Onno "donald23" Zaal
-- DateCreated: 2/24/2017 12:36:37 AM
--------------------------------------------------------------

-- ===========================================================================
-- | The function to query the current time and then set the ambient         |
-- | time of day in the game to that time.                                   |
-- ===========================================================================
print("Current Time of Day loaded!");

function RefreshAmbientTimeofDay()
	local uurdeel = tonumber(os.date("%H"));
	local minuutdeel = tonumber(os.date("%M")) / 60;

	local fTijd = uurdeel + minuutdeel;
	--for debug only
	--print("tijd in de variable:",  fTijd);

	UI.SetAmbientTimeOfDay( fTijd );
end

function OnRefreshAmbientTimeofDay()
	RefreshAmbientTimeofDay();
	Controls.CurrentTimeofDayAnim:SetToBeginning();
	Controls.CurrentTimeofDayAnim:Play();
end

-- ===========================================================================
--	Initialise
-- ===========================================================================
function Initialise()
	print("... Game started, let's go!");
	--ContextPtr:SetHide(false)
	--print("aanroepen van control:registerendcallback");
	Controls.CurrentTimeofDayAnim:RegisterEndCallback(OnRefreshAmbientTimeofDay);
	Controls.CurrentTimeofDayAnim:Play();
end

print("Initializing mod 'Current Time of Day'...");
Events.LoadScreenClose.Add(Initialise)
-- ===========================================================================
